; Func.au3
;========================   Описание   =====================================
; Скрипт-библитотека с различными Функциями, которые можно использовать в командах утилиты TCIMG
;================   Примеры  использования   ===============================
; aends=<info=q2|Min|50|100> GLOBALAENDS<a>
; funau=Min|50|100 GLOBALFUNAU1<a>
; funau=Max|60|200 GLOBALFUNAU1<a>
; funau=_ProcessList| GLOBALFUNAU1<a>


 ; Автор:           Аверин Андрей
 ; Версия:          1.1 (10.05.2017 - 12.04.2018)
 ; Mail:            Averin-And@yandex.ru
 ; Help:            http://tcimg.dreamlair.net/TCIMG_ONLINE/html/html/com_funau.htm
 ; Site:            http://tc-image.3dn.ru/forum/5-498-1
 ;========================================================================

; возвращает минимальное значение из 2-х значений
Func Min($k,$n)
  Return Number($k)<Number($n)? $k : $n
EndFunc
; возвращает максимальное значение из 2-х значений
Func Max($k,$n)
  Return Number($k)>Number($n)? $k : $n
EndFunc
 ; Выполняет выражение.
Func Exec($s)
  Return Execute($s)
EndFunc
; Заменяет фрагмент в строке (пример передачи данных макросов @error и @extended через массив)
Func Replace($sText,$sSearchString,$sReplaceString,$iOccurrence=0,$iCasesense=0)
  Local $aResult[4]=[3]
  $aResult[1]=StringReplace($sText,$sSearchString,$sReplaceString,$iOccurrence,$iCasesense)
  $aResult[2]=@error
  $aResult[3]=@extended
  Return $aResult
EndFunc
 ; Возвращает двумерный массив, содержащий список выполняемых процессов (имя и PID).
Func _ProcessList($sName='')
  Return $sName=''? ProcessList(): ProcessList($sName)
EndFunc